import { systemRouter } from 'ripples-core'
import { pscRouter } from 'ripples-psc'
import { emsAccountingRouter } from 'ems-accounting'

let emsProcessRouter = [
  {
    path: 'launch-reimburse-apply',
    name: 'launch-reimburse-apply',
    title: '发起报销申请',
    component: resolve => { require(['./views/ems/launchReimburseApply/Menupage.vue'], resolve); }
  },
  {
    path: 'home-page',
    name: 'home-page',
    title: '首页',
    component: resolve => { require(['./views/ems/homePage/Index.vue'], resolve); }
  },
  {
    path: 'category_process',
    name: 'category_process',
    title: '业务大类与流程',
    component: resolve => { require(['./views/process/catogoryAndProcess/Index.vue'], resolve); }
  },
  {
    path: 'mybillofaccount-page',
    name: 'mybillofaccount-page',
    title: '我的报账单',
    component: resolve => { require(['./views/process/myBillOfAccount/myBillOfAccount/MyBillOfAccount.vue'], resolve); }
  },
  {
    path: 'mypending-page',
    name: 'mypending-page',
    title: '我的待处理',
    component: resolve => { require(['./views/process/myBillOfAccount/myPending/MyPending.vue'], resolve); }
  },
  {
    path: 'myhavedone-page',
    name: 'myhavedone-page',
    title: '我的已处理',
    component: resolve => { require(['./views/process/myBillOfAccount/myHaveDone/MyHaveDone.vue'], resolve); }
  },
  // {  
  //   path: 'big-class-manage',
  //   name: 'big-class-manage',
  //   title: '业务大类管理',
  //   component: resolve => { require(['./views/basicConfig/businessBigClassManage/BigClassManage.vue'], resolve);}
  // },
]

const appRouter = systemRouter.appRouter;

const routers = systemRouter.routers.concat(appRouter)

const beforeEach = systemRouter.afterEach

const afterEach = systemRouter.afterEach;

systemRouter.appRouter.children = systemRouter.appRouter.children.concat(emsProcessRouter, pscRouter, emsAccountingRouter)

export {
  appRouter,
  routers,
  beforeEach,
  afterEach,
  emsProcessRouter,
}