export default {

  // 是否为start状态
  isStartStatus: state => {
    return state.urlParams.actionType == 'start';
  },

  // 是否为todo状态
  isTodoStatus: state => {
    return state.urlParams.actionType == 'todo';
  },

  // 是否为done状态
  isDoneStatus: state => {
    return state.urlParams.actionType == 'done';
  },

  // 是否为单据起草节点
  isStartNode: state => {
    return (!state.urlParams.action_id) || (state.urlParams.action_id == '010');
  },

  // 是否为业务部门负责人节点
  isBusinessDepartmentOwnerNode: state => {
    return state.urlParams.action_id == '020';
  },

  // 是否为业务部门分管领导节点
  isBusinessDepartmentLeaderNode: state => {
    return state.urlParams.action_id == '030';
  },

  // 是否为业务财务节点
  isFinanceDepartmentStaffNode: state => {
    return state.urlParams.action_id == '040';
  },

  // 是否为财务经理节点
  isFinanceDepartmentManagerNode: state => {
    return state.urlParams.action_id == '050';
  },

  // 是否为财务负责人节点
  isFinanceDepartmentOwnerNode: state => {
    return state.urlParams.action_id == '060';
  },

  // 是否为公司领导节点
  isCompanyLeaderNode: state => {
    return state.urlParams.action_id == '070';
  },

  // 是否为共享会计池节点
  isShareAccountantPoolNode: state => {
    return state.urlParams.action_id == 'GXKJC_010';
  },

  // 是否为共享会计节点
  isShareAccountantNode: state => {
    return state.urlParams.action_id == 'act_080';
  },

  // 非起草节点显示审批意见
  showComment: (state, getters) => {
    return !getters.isStartNode;
  },

  // 提交过的流程显示审批记录
  showLogs: state => {
    return !!state.reimburseInfo.procInstId;
  },

  // 提交过的流程显示流程图
  showPicture: state => {
    return !!state.reimburseInfo.procInstId;
  },

  // 没有提交过得流程显示保存按钮
  showSaveButton: state => {
    return !state.urlParams.procInstId;
  },

  // 非已办状态显示提交按钮
  showSubmitButton: state => {
    return state.urlParams.actionType != 'done';
  },

  // 根据收藏状态显示收藏按钮
  showCollectButton: state => {
    return !state.isCollect;
  },

  // 当前节点为发起节点且状态是待办显示取消按钮
  showCancelButton: state => {
    return (state.urlParams.actionType == "todo") && (state.urlParams.userCode == state.urlParams.startUserCode);
  },

  // 任何时候都显示关闭按钮
  showCloselButton: state => {
    return true;
  },

  // 任何时候都不显示批量复制按钮----业务未实现所以一直隐藏
  showBatchCopylButton: state => {
    return false;
  },

  // 提交类型
  submitTypes: (state, getters) => {
    if (getters.isStartNode) {
      return [];
    } else if (state.urlParams.actionType == 'todo' && !getters.isStartNode) {
      return [
        { label: '通过', value: '通过' },
        { label: '驳回到发起节点', value: '驳回到发起节点' },
        { label: '驳回到上一节点', value: '驳回到上一节点' },
        { label: '驳回到指定节点', value: '驳回到指定节点' },
      ];
    } else if (state.urlParams.actionType == 'done' && !getters.isStartNode) {
      return [
        { label: '撤回', value: '撤回' },
      ];
    }
  },

  // 报账明细总预付款金额
  allReimDetApplyAmount: (state, getters) => {
    let total = 0;
    for (let item of state.reimDetList) {
      total = total + item.applyAmount;
    }
    return total;
  },

  // 付款计划总金额
  allPaymentPlanAmount: (state, getters) => {
    let total = 0;
    for (let item of state.paymentPlanList) {
      total = total + item.payAmount;
    }
    return total;
  },
}