import Vue from 'vue'
import Vuex from 'vuex'
import state from './state'
import actions from './actions'
import mutations from './mutations'
import getters from './getters'
import process from './modules/process/index.js'
import myBillOfAccount from './modules/myBillOfAccount/myBillOfAccount/index.js'
import myHaveDone from './modules/myBillOfAccount/myHaveDone/index.js'
import myPending from './modules/myBillOfAccount/myPending/index.js'
import leave from './modules/leave/index.js'

import { vuexModules, rootModules } from 'ripples-core';
import { vuexPscModules } from 'ripples-psc'
import { vuexEmsAccountingModules } from 'ems-accounting'

import inAdvanceToApply from './modules/launchReimburseApply/inAdvanceToApply/index.js'
import staffLoan from './modules/launchReimburseApply/staffReimburse/staffLoanRefund/staffLoan/index.js'
import staffRefund from './modules/launchReimburseApply/staffReimburse/staffLoanRefund/staffRefund/index.js'
import supplierFeeAdvanceCharge from './modules/launchReimburseApply/supplierReimburse/supplierFeeAdvanceCharge/index.js'
import bigClassManage from './modules/basicConfig/businessBigClassManage/index.js'
import homePage from './modules/homePage/index.js'
import common from './modules/common/index.js'
import categoryAndProcess from './modules/categoryAndProcess/index.js'
import otherAdjust from './modules/launchReimburseApply/ledgerAndOther/other/otherAdjust/index.js'
import paymentPlan from './modules/paymentPlan/index.js'

Vue.use(Vuex)

export default new Vuex.Store({
    state: Object.assign({}, state, rootModules.state),
    actions: Object.assign({}, actions, rootModules.actions),
    mutations: Object.assign({}, mutations, rootModules.mutations),
    getters: Object.assign({}, getters, rootModules.getters),
    modules: Object.assign({}, vuexModules, vuexPscModules, vuexEmsAccountingModules, {
        process,
        leave,
        inAdvanceToApply,
        bigClassManage,
        homePage,
        common,
        categoryAndProcess,
        staffLoan,
        staffRefund,
        myBillOfAccount,
        myHaveDone,
        myPending,
        otherAdjust,
        supplierFeeAdvanceCharge,
        paymentPlan,
    })
})