export default {

  // 分页查询业务分类与流程信息
  QueryCategoryAndProcessList: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.pscURL}/psc/categoryProcess/list/page`, param).then((response) => {
        resolve(response.data.dataResult);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

  // 新增或修改业务分类与流程信息
  SaveCategoryAndProcess: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.pscURL}/psc/categoryProcess/save`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  
  // 删除业务分类与流程信息
  DeleteCategoryAndProcess: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.pscURL}/psc/categoryProcess/delete`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
}
