import extend from 'extend'

let getters = {

  // 是否为单据起草节点
  isStartNode: state => {
    return (!state.urlParams.action_id) || (state.urlParams.action_id == '010');
  },

  // 是否为业务部门负责人节点
  isBusinessDepartmentOwnerNode: state => {
    return state.urlParams.action_id == '020';
  },

  // 是否为业务部门分管领导节点
  isBusinessDepartmentLeaderNode: state => {
    return state.urlParams.action_id == '030';
  },

  // 是否为业务财务节点
  isFinanceDepartmentStaffNode: state => {
    return state.urlParams.action_id == '040';
  },

  // 是否为财务经理节点
  isFinanceDepartmentManagerNode: state => {
    return state.urlParams.action_id == '050';
  },

  // 是否为财务负责人节点
  isFinanceDepartmentOwnerNode: state => {
    return state.urlParams.action_id == '060';
  },

  // 是否为公司领导节点
  isCompanyLeaderNode: state => {
    return state.urlParams.action_id == '070';
  },

  // 是否为共享会计池节点
  isShareAccountantPoolNode: state => {
    return state.urlParams.action_id == 'GXKJC_010';
  },

  // 是否为共享会计节点
  isShareAccountantNode: state => {
    return state.urlParams.action_id == 'act_080';
  },



  // 报账明细总预付款金额
  allReimDetApplyAmount: (state, getters) => {
    let total = 0;
    for (let item of state.reimDetList) {
      total = total + item.applyAmount;
    }
    return total;
  },

  // 付款计划总金额
  allPaymentPlanAmount: (state, getters) => {
    let total = 0;
    for (let item of state.paymentPlanList) {
      total = total + item.payAmount;
    }
    return total;
  },
};
let resultGetters = extend(true, baseProcessGetters, getters);

// 删除不需要的属性
delete resultGetters.isBusinessDepartmentOwnerNode;
delete resultGetters.isBusinessDepartmentLeaderNode;
delete resultGetters.isFinanceDepartmentStaffNode;
delete resultGetters.isFinanceDepartmentManagerNode;
delete resultGetters.isFinanceDepartmentOwnerNode;
delete resultGetters.isCompanyLeaderNode;
delete resultGetters.isShareAccountantPoolNode;
delete resultGetters.isShareAccountantNode;
delete resultGetters.allReimDetApplyAmount;
delete resultGetters.allPaymentPlanAmount;

export default resultGetters;