export default {
  // 获取基本信息
  GetBasicInfo: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.baseURL}/user/job/${param}`, param).then((response) => {
        // $axios.post(`/${process.env.API.baseURL}/user/${param}`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  // 获取员工岗位信息
  GetEmployeeJobInfo: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/employee/job`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  // 获取归属公司数组
  GetCompanyList: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/mdOu/findCurrentMdOu`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //保存
  SaveClaimHeadAndTravelInfo: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claim/saveClaimHeadAndLine`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //查询报账单头和事前申请行
  GetClaimHeadAndTravelInfo: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claim/getClaimHeadAndLine`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //获取列表数据
  GetReimburseDetailList: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimTravelInfo/findList`, param).then((response) => {
        resolve(response.data);
        // let recordList = [];
        // for(let item of response.data){
        //   recordList.push(item)
        // };
        // response.data.map((item) => {
        //   
        //     recordList.push({
        //         ...item,
        //         _expanded: true
        //     })
        // })
        // console.log({recordList})
        // resolve( {recordList} );
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //新增数据
  InsertTravel: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.claimURL}/claimTravelInfo/insert`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //获取编辑数据
  GetUpdateTravel: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimTravelInfo/get`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //编辑数据
  UpdateTravel: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimTravelInfo/update`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //获取城市列表
  GetCityList: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/city/findCityListForTrip`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

  //获取业务小类
  GetSmallClassByBigClass: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/category/findSubCategoryByCategoryCode?categoryCode=${param}`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //删除明细行
  DeleteItems: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.delete(`${process.env.API.claimURL}/claimTravelInfo/delete?ids=${param.ids}`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //获取酒店、交通工具标准
  GetTransportAndHotelStantard: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/travel/standard/findTravelStandard`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  QueryFlowOperateLog: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.pscURL}/psc/task/histoicFlow/${param.processInstanceId}`).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  // 查询可驳回节点
  OtherFlowRejectNodesQuery: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.pscURL}/psc/act/pscActConfig/getHiActinst/${param.procInstId}/${param.actId}`).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //提交
  SubmitFormAndProcess: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimProcess/submitProcess`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //作废
  CancelProcess: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimProcess/cancelProcess`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //获取所有业务大类
  GetAllCategoryList: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/category/findAllCategoryList`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //根据业务大类code查询业务大类
  GetCategoryByParentCode: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/category/findCategoryByCategoryCode?categoryCode=${param}`).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //提交
  FindOrgs: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/org/findOrgs` + (param ? ("/" + param.name) : ""), {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  FindSubOrgs: function ({ commit }, param) {
    console.log(param.orgId);
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/org/findSubOrgs/` + param.orgId, {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  FindEmployeeByCode: function ({ commit }, param) {
    console.log(param.orgId);
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/org/findSubEmployees/` + param.orgId, {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  FindOrg: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/org/findOrg` + (param ? ("/" + param.name) : ""), {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  FindEmpByCodeOrName: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/org/findEmployee/${param}`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //添加收藏
  AddController: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/collection/add`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  AddCollection: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/collection/add`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //删除收藏
  DeleteController: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/collection/deleteById/` + param, {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  DeleteCollection: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/collection/deleteById/` + param, {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

  //查询收藏
  FindController: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/collection/findListByDto`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  FindCollection: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/collection/findListByDto`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

  FindEmployees: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/org/findEmployees`, {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  FindSubEmployees: function ({ commit }, param) {
    console.log(param.orgId);
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/org/findSubEmployees/` + param.orgId, {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  FindEmployee: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/org/findEmployee` + (param ? ("/" + param.name) : ""), {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

}
