export default {
  
  //获取供应商列表
  GetVendors: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/vendor/findPagedVendorList`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //获取项目列表
  GetProjects: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/project/findPagedProjectList`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //新增报账明细
  InsertReimDet: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimLine/insert`, param).then((response) => {
        let responseData = { "dataResult": response.data, "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "0" };
        resolve(responseData);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //获取报账明细列表
  GetReimDetList: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimLine/findList`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //获取行报账明细
  GetRowInfo: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimLine/get`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //编辑报账明细
  UpdateReimDet: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimLine/update`, param).then((response) => {
        var responseData = { "dataResult": response.data, "extra": "", "msg": "处理成功", "statusCode": "0" };
        resolve(responseData);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //获取默认员工/供应商信息
  GetDefault: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/vendor/findForEmployee/${param}`, param).then((response) => {
        var responseData = { "dataResult": response.data, "extra": "", "msg": "处理成功", "statusCode": "0" };
        resolve(responseData);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  //删除报账明细
  DeleteRemDetItem: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.delete(`${process.env.API.claimURL}/claimLine/delete?ids=${param.ids}`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
 
}
