export default {

  ///新增付款计划
  CreatePayPlan: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimPay/claimPayPlanInsert`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

  //修改付款计划列表POST 
  ModifyPayPlan: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimPay/claimPayPlanUpdate`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

  //获取付款计划列表
  GetPayPlanList: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claimPay/queryClaimPayPlan`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

  //删除付款计划列表
  DeletePayPlanList: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.delete(`${process.env.API.claimURL}/claimPay/deleteClaimPayPlan?payPlanId=${param.id}`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

  // 查询头行信息
  GetAndSetClaimHeadAndTravelInfo: function ({ state, commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/claim/getClaimHeadAndLine`, param).then((response) => {
        commit('setMoneyInfo', response);
        commit('setBasicInfo', response);
        commit('setReimburseInfo', response);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
}
