import extend from 'extend'
import util from '@/tools/util.js'
import Vue from 'vue';
export default {

  // 设置basicInfoForm
  setBasicInfoForm (state, basicInfoForm = {}) {
    state.basicInfoForm = basicInfoForm;
  },

  // 设置reimburseInfoForm
  setReimburseInfoForm (state, reimburseInfoForm = {}) {
    state.reimburseInfoForm = reimburseInfoForm;
  },

  // 设置commentInfoForm
  setCommentInfoForm (state, commentInfoForm = {}) {
    state.commentInfoForm = commentInfoForm;
  },

  // 设置url参数
  setUrlParams (state, urlParams = {}) {
    extend(state.urlParams, urlParams);
  },

  // 设置server
  setServer (state, server = {}) {
    state.server = server;
  },

  // 设置基础信息
  setBasicInfo (state, basicInfo={}) {
    state.basicInfo = util.copyPros(state.basicInfo, basicInfo);
    Vue.set(state.basicInfo, 'isDaibao', ''+state.basicInfo.isDaibao);
    if(basicInfo.applEmpNo) {
      Vue.set(state.basicInfo, 'empNo', state.basicInfo.applEmpNo);
    }
    if(state.basicInfo.isDaibao != 'true') {
      Vue.set(state.basicInfo, 'isDaibao', 'false');
    }
  },

  // 设置报账信息
  setReimburseInfo (state, reimburseInfo={}) {
    state.reimburseInfo = util.copyPros(state.reimburseInfo, reimburseInfo);
    Vue.set(state.reimburseInfo, 'hasContract', ''+state.reimburseInfo.hasContract);
    Vue.set(state.reimburseInfo, 'paymentMode', ''+state.reimburseInfo.paymentMode);
  },

  // 设置报账信息的大类信息
  setCategory (state) {
    Vue.set(state.reimburseInfo, 'categoryCode', state.urlParams.categoryCode);
    Vue.set(state.reimburseInfo, 'categoryName', state.urlParams.categoryName);
  },

  // 设置报账信息的总账日期
  setGlDate (state, glDate) {
    Vue.set(state.reimburseInfo, 'glDate', glDate);
  },

  // 设置报账信息的归属公司
  setCompany (state, company) {
    Vue.set(state.reimburseInfo, 'ouCode', company.ouCode);
    Vue.set(state.reimburseInfo, 'ouName', company.ouName);
  },

  // 设置员工/供应商
  setVendor (state, vendror) {
    Vue.set(state.reimburseInfo, 'vendorCode', vendror.vendorCode);
    Vue.set(state.reimburseInfo, 'vendorName', vendror.vendorName);
    Vue.set(state.reimburseInfo, 'vendorType', vendror.vendorType);
    Vue.set(state.reimburseInfo, 'vendorSiteName', vendror.vendorSiteName);
  },

  // 设置收藏信息
  setCollect (state, isCollect = false, collectId = '') {
    state.isCollect = isCollect;
    state.collectId = collectId;
  },

  // 设置是否收藏
  setIsCollect (state, isCollect = false) {
    state.isCollect = isCollect;
  },

  // 设置报账明细reimDetList
  setReimDetList (state, reimDetList = []) {
    state.reimDetList = reimDetList;
  },

  // 设置付款计划reimDetList
  setPaymentPlanList (state, paymentPlanList = []) {
    state.paymentPlanList = paymentPlanList;
  },

  // 设置报账信息
  setMoneyInfo (state, moneyInfo={}) {
    state.moneyInfo = util.copyPros(state.moneyInfo, moneyInfo);
  },
}